Skip to main content
POST
/
api
/
data_shares
/
{name}
/
realm-roles
Attach realm roles to a client
curl --request POST \
  --url https://api.example.com/api/data_shares/{name}/realm-roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "realm_roles": [
    "<string>"
  ]
}
'
{
  "client_id": "<string>",
  "realm_roles": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

name
string
required

Body

application/json
realm_roles
string[]
required

Existing realm role names to attach to the service account.

Minimum array length: 1

Response

Updated attached realm roles

client_id
string
required
realm_roles
string[]

Realm roles attached to the client's service account.